eepromer(8)

NAME
eepromer - reads and writes 24Cxx EEPROMs connected to I2C serial bus

SYNOPSIS
eepromer [-r|-w|-e|-p] -f <device> <i2c-addr>

DESCRIPTION
The EEPROM must be a large EEPROM which uses a 2-byte address field (24C32 or larger). It will NOT WORK on small EEPROMs (24C01 - 24C16) such as those used on SDRAM DIMMs.

NOTES
Don't forget to load your i2c chipset and the i2c-dev drivers.

Tested only on 24C256.

PARAMETERS

Actions

-r  Read

-w  Write

-e  Erase

-p  Print header

Bus

-f device
    Device file representing the I2C bus (eg. /dev/i2c-0)

i2c-addr
    I2C bus address of the EEPROM (eg. 0x3A)

SEE ALSO
eeprog(8), eeprom(8)

AUTHOR
Daniel Smolik